Bug 251121 - Latest autofs update lost mounted nfs drives
Latest autofs update lost mounted nfs drives
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Ian Kent
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-07 05:37 EDT by Jeremy Sanders
Modified: 2008-06-16 22:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:07:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Sanders 2007-08-07 05:37:16 EDT
Description of problem:
The last update to autofs (autofs.x86_64 1:5.0.1-23) was installed by yum today.
On some of the systems it appears that automount is in a broken state after the
update. Currently mounted directories have gone, and it cannot mount any more on
some of its automount points:

[root@xpc20 ~]# ls /data/soft3
ls: cannot access /data/soft3: No such file or directory

In /var/log/messages is the following text when the update occurred:
Aug  7 05:17:37 xpc20 automount[2027]: umount_autofs_indirect: ask umount
returned busy /home
Aug  7 05:17:38 xpc20 automount[2027]: umount_autofs_indirect: ask umount
returned busy /data

Rebooting solves the problem.
Comment 1 Jeremy Sanders 2007-08-07 05:41:12 EDT
Sorry - missed the following text from /var/log/messages too. Several of these
are after the update:

Aug  7 09:55:24 xpc20 automount[9350]: do_mount_indirect: failed to get passwd
info from getpwuid_r
Aug  7 09:55:24 xpc20 automount[9350]: do_mount_indirect: failed to get passwd
info from getpwuid_r

The kernel is kernel-2.6.22.1-27.fc7
Comment 2 Ian Kent 2007-08-07 07:17:24 EDT
That's strange.

This part of the code hasn't been changed for quite a while.
Perhaps it was the addition of the -D_FILE_OFFSET_BITS=64
to deal with stat calls to large filesystems.

Does the problem re-occur after the reboot?
A bit hard to do now but it would be good to know if
a "service autofs restart" resolves the problem too.

Ian
Comment 3 Jeremy Sanders 2007-08-07 07:19:52 EDT
Rebooting fixed the problem, but restarting the autofs service didn't.
Comment 4 Roderick Johnstone 2008-01-03 07:07:39 EST
Just updated to autofs.x86_64 1:5.0.1-31, kernel is at kernel.x86_64
2.6.23.8-34.fc7.

Existing autofs mounts are now partially broken:
linux> pwd
/home/rmj

linux> ls
0428.ps dlmgr_.pro query ...

linux> which fv
Can't get current working directory

linux> fv
/data/soft3/heasoft/headas-6.4/x86_64-unknown-linux-gnu/bin/fv: line 126:  3433
Segmentation fault      $FV/bin/wish $FITSVIEWER_LIBRARY/fvInit.tcl -- "$@"

I can fix the problem by cd'ing to another nfs automounted directory, and then
back again!

linux> cd /home/jss
linux> cd /home/rmj
linux> which fv
/data/soft3/heasoft/headas-6.4/x86_64-unknown-linux-gnu/bin/fv

Newly created (konsole) windows had the same problem.
Comment 5 Bug Zapper 2008-05-14 09:54:25 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:07:11 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.